LogicType
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.types
Enum LogicType

    java.lang.Object
      java.lang.Enum<LogicType>
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.types.LogicType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LogicType>

###

###

###

###

###

    Enum Constant Summary

    HCAF

    Method Summary

    static LogicType
    valueOf(java.lang.String name)

    Methods inherited from class java.lang.Enum

    compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf

    Methods inherited from class java.lang.Object

    getClass, notify, notifyAll, wait, wait, wait

    Enum Constant Detail

    HSPEC

    public static final LogicType HSPEC

    HSPEN

    public static final LogicType HSPEN

    HCAF

    public static final LogicType HCAF

    Method Detail

    values

    public static LogicType[] values()

    Returns an array containing the constants of this enum type, in
    the order they are declared.  This method may be used to iterate
    over the constants as follows:

    for (LogicType c : LogicType.values())
        System.out.println(c);

    Returns:an array containing the constants of this enum type, in
    the order they are declared

    valueOf

    public static LogicType valueOf(java.lang.String name)

    Returns the enum constant of this type with the specified name.
    The string must match exactly an identifier used to declare an
    enum constant in this type.  (Extraneous whitespace characters are
    not permitted.)

    Parameters:name - the name of the enum constant to be returned.
    Returns:the enum constant with the specified name
    Throws:
    java.lang.IllegalArgumentException - if this enum type has no constant
    with the specified name
    java.lang.NullPointerException - if the argument is null

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD

    DETAIL: ENUM CONSTANTS | FIELD | METHOD